Overview | Modules | Class Hierarchy | Classes | Members

Public Types | Public Member Functions | Protected Member Functions
tlp::GlColorScale Class Reference

`#include <GlColorScale.h>`

Inheritance diagram for tlp::GlColorScale:
[legend]
Collaboration diagram for tlp::GlColorScale:
[legend]

List of all members.

## Public Types

- enum Orientation { Horizontal, Vertical }

## Public Member Functions

- GlColorScale (ColorScale *colorScale, const Coord &baseCoord, const float length, const float thickness, Orientation orientation)
- ~GlColorScale ()
- Color getColorAtPos (Coord pos)
    Compute the color corresponding to the position in the color scale. The orientation of the scale define the coordinate used to compute the color (if the orientation is horizontal use only the X coordinate). If the position is outside of the entity coordinates returns the nearest extremity value.
- void draw (float lod, Camera *camera)
- void translate (const Coord &move)
- void getXML (xmlNodePtr)
- void setWithXML (xmlNodePtr)
- Coord getBaseCoord () const
- float getThickness () const
- float getLength () const
- GlPolyQuad * getColorScalePolyQuad () const
- void setColorScale (ColorScale *scale)
- ColorScale * getColorScale ()

## Protected Member Functions

- void update (std::set< Observable * >::iterator begin, std::set< Observable * >::iterator end)
- void observableDestroyed (Observable *)

## Member Enumeration Documentation

enum tlp::GlColorScale::Orientation

Enumerator:

  Horizontal |
  Vertical |

## Constructor & Destructor Documentation

tlp::GlColorScale::GlColorScale | ( | ColorScale * | colorScale,
|  | const Coord & | baseCoord,
|  | const float | length,
|  | const float | thickness,
|  | Orientation | orientation
| ) |  |

tlp::GlColorScale::~GlColorScale | ( |  | ) |

## Member Function Documentation

void tlp::GlColorScale::draw | ( | float | lod,
|  | Camera * | camera
| ) |  | `[virtual]`

Draw function

Implements tlp::GlSimpleEntity.

Coord tlp::GlColorScale::getBaseCoord | ( |  | ) | const`[inline]`

Color tlp::GlColorScale::getColorAtPos | ( | Coord | pos | ) |

Compute the color corresponding to the position in the color scale. The orientation of the scale define the coordinate used to compute the color (if the orientation is horizontal use only the X coordinate). If the position is outside of the entity coordinates returns the nearest extremity value.

ColorScale* tlp::GlColorScale::getColorScale | ( |  | ) | `[inline]`

GlPolyQuad* tlp::GlColorScale::getColorScalePolyQuad | ( |  | ) | const`[inline]`

float tlp::GlColorScale::getLength | ( |  | ) | const`[inline]`

float tlp::GlColorScale::getThickness | ( |  | ) | const`[inline]`

void tlp::GlColorScale::getXML | ( | xmlNodePtr | rootNode | ) | `[inline, virtual]`

Save the entity in Xml

Implements tlp::GlSimpleEntity.

void tlp::GlColorScale::observableDestroyed | ( | Observable * |  | ) | `[inline, protected]`

void tlp::GlColorScale::setColorScale | ( | ColorScale * | scale | ) |

void tlp::GlColorScale::setWithXML | ( | xmlNodePtr | rootNode | ) | `[inline, virtual]`

Load entity with Xml

Implements tlp::GlSimpleEntity.

void tlp::GlColorScale::translate | ( | const Coord & |  | ) | `[virtual]`

virtual fucntion : Translate entity of vector translation

Reimplemented from tlp::GlSimpleEntity.

void tlp::GlColorScale::update | ( | std::set< Observable * >::iterator | begin,
|  | std::set< Observable * >::iterator | end
| ) |  | `[protected]`

Tulip Software by LaBRI Visualization Team 2001 - 2012